Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4603 - user id's over 2^16 don't work
Summary: user id's over 2^16 don't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: basesystem
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-19 00:15 UTC by jay_lyerly
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 20:10:36 UTC


Attachments (Terms of Use)

Description jay_lyerly 1999-08-19 00:15:03 UTC
User id's with values greater than 65536 ( or is it 65535? )
don't work.  For instance, I can create a user with uid
100,000.  That user can't log in.  Watching syslog during
the login shows a session open for the user, then
immediately close.  'su' spits at the username with a
invalid arguement error and refuses to set the userid to
100,000.

This has become an issue at NCSU where the eos/unity system
now has ~70,000 users.

Comment 1 Bill Nottingham 1999-08-21 20:10:59 UTC
The kernel's UID type is only 16 bits. Sorry. When this
is fixed in the kernel, it will work elsewhere.

You might try experimental 32-bit uid support, available at:
http://www.engin.umich.edu/caen/systems/Linux/highuids


Note You need to log in before you can comment on or make changes to this bug.